# jquery-class-events

jQuery Class Events was made for emit a event in a element e change class on another element

## Usage

You need to download the [lasted release](https://github.com/1fabiosoares/jquery-class-events/releases) on releases panel and import to your project.

    <script src="path/to/js/jquery.min.js"></script>
    <script src="path/to/js/jquery-class-events.min.js"></script>

### Usage Example

    <!-- HTML -->
    <button id="openModalButton">Open Modal</button>

    <div class="modal" id="modal">
    <!-- Modal Content -->
    <button id="closeModalButton"></button>
    </div>

    <script src="path/to/js/jquery.min.js"></script>
    <script src="path/to/js/jquery-class-events.min.js"></script>
    <script>
        // JS
        $('#openModalButton').classEventAdd('click', '#modal', 'modal--active');
        $('#closeModalButton').classEventRemove('click', '#modal', 'modal--active');
    </script>


Or Toggle

    <!-- HTML -->
    <button id="toggle">Toggle Modal</button>

    <div class="modal" id="modal">
        <!-- Modal Content -->
        <button id="closeModalButton"></button>
    </div>

    <script src="path/to/js/jquery.min.js"></script>
    <script src="path/to/js/jquery-class-events.js"></script>
    <script>
    // JS
        $('#openModalButton').classEventToggle('click', '#modal', 'modal--active');
    </script>

# Ref

| Function         | Params                     | Description |
|------------------|----------------------------|-------------|
| classEventAdd    | event, receiver, className | Add a class on receiver |
| classEventRemove | event, receiver, className | Remove a class on receiver|
| classEventToggle | event, receiver, className | Toggle a class on receiver |
